标签归档:linux使用技巧

ubuntu10.04 安装 wps

wps for linux 刚出来的时候安装过一次,但是没有成功,趁着这次重装系统,把问题解决了,照例报上系统环境:ubuntu10.04 gnome2
首先安装wps的deb文件,我是wpsA4版的。
安装完之后,运行wps,报错 libstdc++.so.6(GLIBCXX_3.4.14),解决办法:
libstdc版本太低到http://packages.debian.org/sid/i386/libstdc++6/download下载libstdc++6_4.7.1-3_i386.deb,下载后用dpkg-deb -x libstdc++6_4.7.1-3_i386.deb /opt/libstdc 解压到 /opt/libstdc ,修改wps启动脚本,添加libstdc路径,具体方法:
sudo gedit /usr/bin/wps
在export LD_LIBRARY_PATH=”${gInstallPath}/office6″:”${gInstallPath}/office6/qt/plugins/imageformats”:”${LD_LIBRARY_PATH}”
后加入:”/opt/libstdc/usr/lib/i386-linux-gnu” 保存即可。
运行wps报错,undefined symbol: FT_Reference_Face, 安装2.4以上版本的libfreetype6即可,下载地址:
http://packages.debian.org/squeeze/i386/libfreetype6/download
ok,got it